import 'package:dartz/dartz.dart';
import '../../core/error/failures.dart';
import '../models/advance_request_model.dart';
import '../models/advances_list_response_model.dart';

abstract class AdvanceRepository {
  Future<Either<Failure, AdvanceResponseModel>> createAdvance(
    AdvanceRequestModel request,
  );
  Future<Either<Failure, AdvancesListResponseModel>> getAdvances();
}
